package leigh.mecha.nodegraph;

import leigh.eo.EO;
import leigh.eo.EOLoop;

import java.io.IOException;
import java.io.Serializable;

public class UselessAttribute implements Attribute {
    @Override
    public Serializable getSingleValue(ProcessorState state) throws Exception {
        return null;
    }

    @Override
    public EO getObjectValue(ProcessorState state) throws Exception {
        return null;
    }

    @Override
    public EOLoop getObjectsValue(ProcessorState state) throws IOException, ClassNotFoundException, Exception {
        return null;
    }
}
